[Python-Dev] Re: RELEASED Python 2.3.1

Jason R. Mastaler jason at mastaler.com
Sat Sep 27 12:14:48 EDT 2003


Anthony Baxter <anthony at interlink.com.au> writes:

> Hm. The only usage of it I can find in the Zope2, Zope3 and Twisted
> codebases is a single use inside zodb, and it's wrapped in a check
> that os.fsync exists (since it's not available on all platforms). I
> also did a grep over all the python packages I've downloaded or
> installed (which is a _lot_) and the TMDA code is the only package
> to use it.

Also, getmail, as Charles Cazabon mentioned earlier in this thread.
Also, Barry is considering using fsync() in the next release of
Mailman, albeit as an option turned off by default.  TMDA has
thousands of users, Mailman has many more.  So, this potentially
affects many individuals regardless of whether a large number of
packages use fsync() or not.

> I'm still planning on cutting a 2.3.2 to fix the problem, but I see
> no reason to make any further steps to "revoke" 2.3.1 further than
> the warning message on the release page - which is mostly aimed at
> people who might be planning to package the code.

Yeah, I think what you are doing is fine.  If 2.3.2 is available soon,
I think people will just tend to pass over 2.3.1.




More information about the Python-Dev mailing list